Skip to content

eSign Link Generation

| View as Markdown

This API is for generating esign link for getting signatures on some document or agreement. After generating the link, user can browse and complete his eSign process. In this process, user will receive eSigned document via mail. We must pass docrefid, email, first name, last name, mobile no and doc link in request. If the request has valid details, we will get a unique link for esign.

https://kraken.airpay.co.in/airpay/ms/esign/api/create-esign-request
ParameterType ValueDescriptionValue Like
affiliate requiredTextWill be provided by airpay91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps
checksum requiredTextstring = param + secret_key;
sha256(<concate all values+SECRET KEY>);
91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps
processor-key requiredTextWill be provided by airpay91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps
ParameterType ValueDescriptionValue Like
docrefid requiredAlphanumericDocument reference id (length 1-7) Will be provided by airpay55AAVB8
email requiredTextEmail (length 1-120)xyz@airpay.co.in
first_name optionalTextFirst name (min-2, max-100)Prasanth
last_name optionalTextLast name (min-2, max-100)krishna
mobile_no optionalNumericMobile number (length 1-10)7558599593
doclink optionalAlphanumericDoc link (length 1-125) Must be unique.https://examples.airpay.co.in/admin/esign_html_template/100035
ParameterType ValueDescriptionValue Like
status requiredNumericStatus code (length 1-3)200
message requiredTextMessage
Success - 200 (The transaction is success)
Transaction in Process - 211 (The transaction is processing)
Failed - 400 (The transaction is failed)
Dropped - 401 (The transaction will not register properly)
Cancel - 402 (payment that has not yet been processed)
Incomplete - 403 (Not recieved any call back from bank)
Bounced - 405 (The transaction has bounced)
No Records - 503 (There are no records found)
success
txn_id requiredAlphanumericTransaction id1048
url requiredTextGenerated Esign linkhttps://www.test_arpy.in/cPoTe1kh3
curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/esign/api/create-esign-request' \
--header 'affiliate: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'checksum: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'processor-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--form 'docrefid="55AAVB8"' \
--form 'email="xyz@airpay.co.in"' \
--form 'doclink="https://examples.airpay.co.in/admin/esign_html_template/100035"' \
--form 'mobile_no="7558599593"' \
--form 'first_name="Prasanth"' \
--form 'last_name="krishna"'
HTTP/1.1 200 OK
{
"status": 200,
"message": "success",
"txn_id": 1048,
"url": "https://www.test_arpy.in/cPoTe1kh3"
}
HTTP/1.1 400 Failed
{
"status": 400,
"message": "Documnent reference id does not exist"
}